Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

IMPORTANT! Check the KNOWLEDGE BASE before posting! @ https://infinityfree.net/support/

can't find the problem

hi
i upload my site to this server but im getting error when i open the domain keepme.rf.gd
the web site is allive and work without issues

can i get some help with this from the support?

regards
T

Comments

  • I checked your site, and this is the error I saw:

    Only variable references should be returned by reference
    

    The error message doesn't mean anything to me, but a quick Google lookup tells me it's an issue with certain versions of the CodeIgniter framework.

    If you wrote this software yourself, you may want to upgrade the framework version. If it's part of another application you want to use, please make sure you're running the latest version of that application.

    If neither of those two options are possible or solve the problem, you could try to switch your PHP version to 5.6 instead of 7.0 (PHP 7 included changes which might cause this bug to become apparent). You can do so through your control panel in the Select PHP Version menu.

  • Hi
    thank you for your answer.
    correctly this site is running with other domain (movix.me) with no issue on the host
    on the correctly host (GD) i didn't upgrade the php version .
    i'm don't know what should i need to check ...I'm Helpless

  • Well, I don't know what "other host" is, let alone how their servers work. So I don't know what PHP version "other host" uses either.

  • other host = go daddy
    the php version is not shown so i don't know..
    its very frustrating...

  • @movix5 said:
    other host = go daddy
    the php version is not shown so i don't know..
    its very frustrating...

    Have you tried just changing your PHP version here from 7.0 to 5.6? Maybe it works, maybe it doesn't, but at least you know whether it does.

  • dear Admin
    this is my main problem...i don't know how to change it.
    i know that i have old PHP version ...but i didn't know that maybe its the reason

  • @movix5 said:
    dear Admin
    this is my main problem...i don't know how to change it.
    i know that i have old PHP version ...but i didn't know that maybe its the reason

    There is a section in your control panel conveniently called Select PHP Version which does what it says on the tin.

  • ok
    thx..

This discussion has been closed.